classification
Title: ESET Trojan Alert [python-3.1.2.amd64 ON Win7-64]
Type: security Stage:
Components: Installation, Windows Versions: Python 3.1
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Mr.Collins, brian.curtin, christian.heimes, loewis
Priority: normal Keywords:

Created on 2010-10-21 16:05 by Mr.Collins, last changed 2012-09-12 14:12 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
pythonSecurityWarningESET.png Mr.Collins, 2010-10-21 16:05 ESET Security Alert - Python Installation
Messages (6)
msg119313 - (view) Author: Alexander Collins (Mr.Collins) Date: 2010-10-21 16:05
While trying to install 3.1.2 on my windows 7. I was faced with a Trojan alert from my ESET "NOD32" anti-virus.

The link to the file: http://www.python.org/ftp/python/3.1.2/python-3.1.2.amd64.msi

A snapshot is attached.


Windows 7 x64
ESET Smart Security 4.2.64.12
msg119314 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-10-21 16:15
I just ran that installer on Windows 7 x64 with Sophos AV and got no such warning.

FWIW, the checksum of the downloaded installer matched the one listed on http://www.python.org/download/releases/3.1.2/
msg119315 - (view) Author: Alexander Collins (Mr.Collins) Date: 2010-10-21 16:40
Checksum matches. I am not sure why did it detect that.

The AV report: ( I shoulda posted that earlier -_-')

//- Report starts ...

10/21/2010 11:54:12 AM	
Real-time file system protection	
file	C:\Windows\Installer\{D40AF016-506C-43FB-A738-BD54FA8C1E86}\python_icon.exe	
Win32/Agent.RRQ trojan	
cleaned by deleting - quarantined	
NT AUTHORITY\SYSTEM	
Event occurred on a new file created by the application: C:\Windows\System32\msiexec.exe


//- Report ends ...
msg119331 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-10-21 19:01
I'm not really sure if there's anything we can or should do here.


Martin, has this happened before, and if so is there anything to be done by us?
msg119338 - (view) Author: Alexander Collins (Mr.Collins) Date: 2010-10-21 20:55
I'll attempt to contact my anti-virus provider and see what they have to say about that.
msg170380 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2012-09-12 14:12
We haven't received any similar report and 3.1.2 is outdated, too. I'm closing this bug.
History
Date User Action Args
2012-09-12 14:12:46christian.heimessetstatus: open -> closed

nosy: + christian.heimes
messages: + msg170380

resolution: out of date
2010-10-21 20:55:58Mr.Collinssetmessages: + msg119338
2010-10-21 19:01:51brian.curtinsetnosy: + loewis
messages: + msg119331
2010-10-21 16:40:02Mr.Collinssetmessages: + msg119315
2010-10-21 16:15:35brian.curtinsetnosy: + brian.curtin
messages: + msg119314
components: + Windows
2010-10-21 16:06:55brian.curtinsettitle: ESET Torgan Alert [python-3.1.2.amd64 ON Win7-64] -> ESET Trojan Alert [python-3.1.2.amd64 ON Win7-64]
2010-10-21 16:05:04Mr.Collinscreate